From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-sound/soundconverter/
Date: Tue, 31 May 2022 04:07:09 +0000 (UTC) [thread overview]
Message-ID: <1653970019.976952fe40b45059bba077f0964df99baf44f9f6.sam@gentoo> (raw)
commit: 976952fe40b45059bba077f0964df99baf44f9f6
Author: Scott Furry <scott.wl.furry <AT> gmail <DOT> com>
AuthorDate: Tue May 31 03:59:09 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue May 31 04:06:59 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=976952fe
media-sound/soundconverter: add 4.0.3
Closes: https://bugs.gentoo.org/758197
Closes: https://bugs.gentoo.org/846092
Signed-off-by: Scott Furry <scott.wl.furry <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>
media-sound/soundconverter/Manifest | 1 +
.../soundconverter/soundconverter-4.0.3.ebuild | 64 ++++++++++++++++++++++
2 files changed, 65 insertions(+)
diff --git a/media-sound/soundconverter/Manifest b/media-sound/soundconverter/Manifest
index 65d94a9871b3..d1daef70f4de 100644
--- a/media-sound/soundconverter/Manifest
+++ b/media-sound/soundconverter/Manifest
@@ -1 +1,2 @@
DIST soundconverter-3.0.2.tar.xz 208440 BLAKE2B e7817648fe27b2083629ea718b0479f7b9e2607a017868b1e1ce3fb0407a84a548bd007647e73a1d4163a7f51b162a89e3914419ccdbfd07586c2a94a23f4af2 SHA512 0746395de412a4d845e3df4d6cce0dbcba266c9efc8db71663dd1c751d2a5de5b0dc266f24bbfe6c00f69428801ce5f9558fc8e5e2f5d5e6be8562085cd7fe92
+DIST soundconverter-4.0.3.tar.gz 655814 BLAKE2B ffb8c1e8dafe631c5320fbb4af12eceb6fec7ed8267aba2f6da9ef3b76ab12b85eee92ff58c9743b36ab5c92e4148f0a7a66d5fda66fc126fc266e9ec24d9fc4 SHA512 018c2409101c21b85ff25581dac70a64d072cbc4aee29842aa25745f20e2cc03cf2c8ed1f34bc9ac5e679f7a6631a7998fb9183dc5adf69cab907f757727b959
diff --git a/media-sound/soundconverter/soundconverter-4.0.3.ebuild b/media-sound/soundconverter/soundconverter-4.0.3.ebuild
new file mode 100644
index 000000000000..9840037dc60f
--- /dev/null
+++ b/media-sound/soundconverter/soundconverter-4.0.3.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_SINGLE_IMPL=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_REQ_USE="xml(+)"
+inherit distutils-r1 xdg
+
+MY_PV="${PV/_/-}"
+DESCRIPTION="A simple audiofile converter application for the GNOME environment"
+HOMEPAGE="https://soundconverter.org/"
+SRC_URI="https://github.com/kassoulet/${PN}/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="amd64 x86"
+
+IUSE="aac flac mp3 ogg opus vorbis"
+
+# gst-plugins-meta for any decoders, USE flags for specific encoders used by code
+# List in soundconverter/gstreamer.py
+# wavenc and mp4mux come from gst-plugins-good, which everyone having base should have, so unconditional
+RDEPEND="
+ x11-libs/gtk+:3[introspection]
+ x11-libs/libnotify[introspection]
+ x11-libs/pango[introspection]
+ $(python_gen_cond_dep '
+ dev-python/gst-python[${PYTHON_USEDEP}]
+ dev-python/pygobject[${PYTHON_USEDEP}]
+ ')
+ media-libs/gst-plugins-base:1.0[vorbis?,ogg?]
+ media-plugins/gst-plugins-meta:1.0
+ flac? ( media-plugins/gst-plugins-flac:1.0 )
+ media-libs/gst-plugins-good:1.0
+ mp3? (
+ media-libs/gst-plugins-bad:1.0
+ media-libs/gst-plugins-ugly:1.0
+ media-plugins/gst-plugins-lame:1.0
+ )
+ aac? ( media-plugins/gst-plugins-faac:1.0 )
+ opus? ( media-plugins/gst-plugins-opus:1.0 )
+"
+BDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/python-distutils-extra[${PYTHON_USEDEP}]
+ ')
+"
+
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+ rm -v "${S}/CHANGELOG.old"
+ # workaround incorrect behavior when LINGUAS is set to an empty string
+ # https://bugs.launchpad.net/python-distutils-extra/+bug/1133594
+ ! [[ -v LINGUAS && -z ${LINGUAS} ]] || rm po/*.po || die
+}
+
+python_install_all() {
+ rm -v "${D}/usr/share/glib-2.0/schemas/gschemas.compiled"
+ mv -v "${D}/usr/share/doc/${PN}" "${D}/usr/share/doc/${P}"
+ distutils-r1_python_install_all
+}
next reply other threads:[~2022-05-31 4:07 UTC|newest]
Thread overview: 35+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-05-31 4:07 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-04-14 2:57 [gentoo-commits] repo/gentoo:master commit in: media-sound/soundconverter/ Pacho Ramos
2024-06-16 10:16 Pacho Ramos
2024-06-16 10:16 Pacho Ramos
2023-08-17 2:55 Sam James
2023-05-03 5:05 Sam James
2022-07-29 21:39 David Seifert
2022-06-18 16:57 Agostino Sarubbo
2022-06-18 16:54 Agostino Sarubbo
2022-05-31 6:54 Sam James
2022-05-31 4:23 Sam James
2022-05-31 4:07 Sam James
2021-07-06 22:07 Pacho Ramos
2020-12-05 18:09 Pacho Ramos
2020-06-13 15:09 Pacho Ramos
2020-02-09 16:31 Michał Górny
2019-05-19 18:07 Mart Raudsepp
2019-05-19 15:48 Thomas Deutschmann
2019-04-20 17:46 Mikle Kolyada
2019-04-19 11:09 Mart Raudsepp
2019-03-26 18:52 Aaron Bauman
2018-07-31 7:12 Mart Raudsepp
2018-07-31 0:43 Thomas Deutschmann
2018-07-16 14:01 Mikle Kolyada
2018-06-21 15:04 Mart Raudsepp
2018-02-14 18:10 Mart Raudsepp
2018-02-14 16:57 Jason Zaman
2018-02-06 15:10 Thomas Deutschmann
2017-12-24 15:15 Mart Raudsepp
2016-03-06 20:52 Mikle Kolyada
2016-02-21 23:44 Pacho Ramos
2016-02-21 9:37 Pacho Ramos
2016-02-21 9:37 Pacho Ramos
2015-09-07 21:55 Mikle Kolyada
2015-09-05 14:36 Pacho Ramos
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1653970019.976952fe40b45059bba077f0964df99baf44f9f6.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox